=== debian/control ===
Source: amarokfs
Section: unknown
Priority: optional
Maintainer: Martin Koßler <martin.kossler@students.uni-marburg.de>
Build-Depends: cdbs, debhelper (>= 5), libqt3-headers, kdelibs4-dev
Standards-Version: 3.7.2

Package: amarokfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, amarok
Description: Full Screen Frontend for Amarok
 This is a full screen front end for Amarok. The look can be changed by custom THEMES.
